Subject: Ticket Assigned - Refund issues.
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 09 Mar 2021 02:31:33 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund issues. Dear All,

Kindly I need to complaint about my refund I didn’t get it till now and I have returned my items since 5th of February and they informed  me that I’ll get my money back within 7 days and now more than me month I didn’t get my money back.
I called the customer service around 10 times or more and no one of them helped me .
Only Razan from complaining department she tried to solve my issues but she did nothing till now.

Everyday I called your customer service and they told me we will contact you back but no one contacted me.

They said your money will be in your account and I didn’t received anything till now.

So please I need an immediate reply with my issues .

My order number : 9632315216

Best Regards 
Eslam Ahmed 
0552638842

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2204079